Subject: Re: bug#71120: 29.3; buglet in cl-loop

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 May 2024 10:51:19 -0400

>>> 	(cl-loop for i from 1 to 100 collect (random 6))
[...]
>>> 	(cl-loop for _i from 1 to 100 collect (random 6))
>> Thus I don't think there's anything we really need to do here, do you?
> I, for one, think the nicest option is the one SBCL (and I guess other
> CL implementations) are using, that is to have 'i' 'ignorable', the
> problem is that we don't support this at language level.

I don't quite see how "ignorable" comes into play here.

In the first case above, the var is "not used", has a "normal"
name, and we get no warning.  Does SBCL do the same or does it emit
a warning?

In the second case, the var is "not used", has an "I'm not used" name,
and we do get a warning.  Does SBCL even support "I'm not used" names?

        Stefan